/****************************************************************************
 File Name  : random.h
 Purpose    : header file for random number generator (random.c)
 Release    : Version 1.0
 Date	    : Aug 31,1995

GSNAKE API is jointly developed by the Information Technology Institute (ITI), Singapore, and the School of Applied Science, Nanyang Technological
University (NTU), Singapore. 

These software programs are available to the user without any license or royalty fees. Permission is hereby granted to use, copy, modify, and distribute this software and its documentation for any purpose. ITI and NTU gives no warranty, express, implied, or statuary for the software and/or documentation provided, including, without limitation, waranty of merchantibility and warranty of fitness for a particular purpose. The software provided hereunder is on an "as is"  basis, and ITI and NTU has no obligation to provide maintenance, support, updates, enhancements, or modifications.

GSNAKE API is available for any UNIX compatible system. User feedback, bugs, or software and manual suggestions should be sent via electronic mail to one of the following, who may or may not act on them as he/she desires :

		kflai@iti.gov.sg
		asschan@ntu.ac.sg

***************************************************************************/
   
/* ---- functions exported by random.c ----------- */

extern void rand_init() ;

extern float rand_uniform( 
	float Minimum,
	float Maximum
 ) ;

extern float rand_gaussian( 
	float mean,
	float std
 ) ;

extern void rand_gausspair( 
	float mean,
	float std,
	float *g1,
	float *g2
 ) ;

extern int rand_gammacoin( 
	float gamma
) ;

extern double rand_Pz( 
	double low_Z, double high_Z
) ;

extern void rand_whitened() ;
